<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:04 CEST 2014 -->
<title>C-Index</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="C-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">_</a>&nbsp;<a name="_C_">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/CacheManager.html#cacheHashMap">cacheHashMap</a></span> - Static variable in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/CacheManager.html" title="class in fr.inria.alpage.frmgcm.utils">CacheManager</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/StaticCacheManager.html#cacheHashMap">cacheHashMap</a></span> - Static variable in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/StaticCacheManager.html" title="class in fr.inria.alpage.frmgcm.utils">StaticCacheManager</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/utils/CacheManager.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">CacheManager</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/utils/package-summary.html">fr.inria.alpage.frmgcm.utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/CacheManager.html#CacheManager()">CacheManager()</a></span> - Constructor for class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/CacheManager.html" title="class in fr.inria.alpage.frmgcm.utils">CacheManager</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/utils/CacheManager.Cacheable.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">CacheManager.Cacheable</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/utils/package-summary.html">fr.inria.alpage.frmgcm.utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/CacheManager.Cacheable.html#CacheManager.Cacheable(java.lang.Object,%20java.lang.Object,%20int)">CacheManager.Cacheable(Object, Object, int)</a></span> - Constructor for class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/CacheManager.Cacheable.html" title="class in fr.inria.alpage.frmgcm.utils">CacheManager.Cacheable</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#cacheTable">cacheTable</a></span> - Variable in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/db/ElasticSearchProxy.html#call(java.lang.String,%20com.mongodb.BasicDBObject)">call(String, BasicDBObject)</a></span> - Static method in class fr.inria.alpage.frmgcm.db.<a href="../fr/inria/alpage/frmgcm/db/ElasticSearchProxy.html" title="class in fr.inria.alpage.frmgcm.db">ElasticSearchProxy</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/db/ElasticSearchProxy.html#call(java.lang.String,%20java.lang.String)">call(String, String)</a></span> - Static method in class fr.inria.alpage.frmgcm.db.<a href="../fr/inria/alpage/frmgcm/db/ElasticSearchProxy.html" title="class in fr.inria.alpage.frmgcm.db">ElasticSearchProxy</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/db/ElasticSearchProxy.html#callBulk(java.lang.String)">callBulk(String)</a></span> - Static method in class fr.inria.alpage.frmgcm.db.<a href="../fr/inria/alpage/frmgcm/db/ElasticSearchProxy.html" title="class in fr.inria.alpage.frmgcm.db">ElasticSearchProxy</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.MapReduceIndexFiles.html#caller">caller</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.MapReduceIndexFiles.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.MapReduceIndexFiles</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#children">children</a></span> - Variable in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleNode</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#cid">cid</a></span> - Variable in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#clean()">clean()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#cleanFrmgWikiGraphs()">cleanFrmgWikiGraphs()</a></span> - Static method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#clearNodeScope(fr.inria.alpage.frmgcm.dpp.Node)">clearNodeScope(Node)</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html" title="class in fr.inria.alpage.frmgcm.dpp">JJTDPathParserState</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#closeNodeScope(fr.inria.alpage.frmgcm.dpp.Node,%20int)">closeNodeScope(Node, int)</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html" title="class in fr.inria.alpage.frmgcm.dpp">JJTDPathParserState</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html#closeNodeScope(fr.inria.alpage.frmgcm.dpp.Node,%20boolean)">closeNodeScope(Node, boolean)</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/JJTDPathParserState.html" title="class in fr.inria.alpage.frmgcm.dpp">JJTDPathParserState</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/Configuration.html#clusterHost">clusterHost</a></span> - Static variable in class fr.inria.alpage.frmgcm.<a href="../fr/inria/alpage/frmgcm/Configuration.html" title="class in fr.inria.alpage.frmgcm">Configuration</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#cmaDocumentId">cmaDocumentId</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/Configuration.html#cmaHtmlIndexFile">cmaHtmlIndexFile</a></span> - Static variable in class fr.inria.alpage.frmgcm.<a href="../fr/inria/alpage/frmgcm/Configuration.html" title="class in fr.inria.alpage.frmgcm">Configuration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/services/CMAWebService.html" title="class in fr.inria.alpage.frmgcm.services"><span class="strong">CMAWebService</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/services/package-summary.html">fr.inria.alpage.frmgcm.services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/services/CMAWebService.html#CMAWebService()">CMAWebService()</a></span> - Constructor for class fr.inria.alpage.frmgcm.services.<a href="../fr/inria/alpage/frmgcm/services/CMAWebService.html" title="class in fr.inria.alpage.frmgcm.services">CMAWebService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/services/CMAWebService.html#CMAWebService(java.lang.String)">CMAWebService(String)</a></span> - Constructor for class fr.inria.alpage.frmgcm.services.<a href="../fr/inria/alpage/frmgcm/services/CMAWebService.html" title="class in fr.inria.alpage.frmgcm.services">CMAWebService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.MapReduceIndexFiles.html#collection">collection</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.MapReduceIndexFiles.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.MapReduceIndexFiles</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMCommand.html#command">command</a></span> - Variable in class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMCommand.html" title="class in fr.inria.alpage.cpm.task">CPMCommand</a></dt>
<dd>
<div class="block">The bash command to be executed</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.CompNodePosition.html#compare(com.mongodb.BasicDBObject,%20com.mongodb.BasicDBObject)">compare(BasicDBObject, BasicDBObject)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.CompNodePosition.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepXMLGraph.CompNodePosition</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html#completeState">completeState</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.DocumentRevision</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/Configuration.html" title="class in fr.inria.alpage.frmgcm"><span class="strong">Configuration</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/package-summary.html">fr.inria.alpage.frmgcm</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/Configuration.html#Configuration()">Configuration()</a></span> - Constructor for class fr.inria.alpage.frmgcm.<a href="../fr/inria/alpage/frmgcm/Configuration.html" title="class in fr.inria.alpage.frmgcm">Configuration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format"><span class="strong">CONLLGraph</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/corpus/format/package-summary.html">fr.inria.alpage.frmgcm.corpus.format</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#CONLLGraph(fr.inria.alpage.frmgcm.gm.GraphRevision)">CONLLGraph(GraphRevision)</a></span> - Constructor for class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">CONLLGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/server/HTTPServer.WorkerThread.html#conn">conn</a></span> - Variable in class fr.inria.alpage.frmgcm.server.<a href="../fr/inria/alpage/frmgcm/server/HTTPServer.WorkerThread.html" title="class in fr.inria.alpage.frmgcm.server">HTTPServer.WorkerThread</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/server/HTTPServer.RequestListenerThread.html#connFactory">connFactory</a></span> - Variable in class fr.inria.alpage.frmgcm.server.<a href="../fr/inria/alpage/frmgcm/server/HTTPServer.RequestListenerThread.html" title="class in fr.inria.alpage.frmgcm.server">HTTPServer.RequestListenerThread</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#convert()">convert()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMCall.html#convertAllFileInDir(java.lang.String)">convertAllFileInDir(String)</a></span> - Method in class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMCall.html" title="class in fr.inria.alpage.cpm.task">CPMCall</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html#CoordExpression()">CoordExpression()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a></dt>
<dd>
<div class="block">An Coord Expression.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html#coordinators">coordinators</a></span> - Variable in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathCoord</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/ASTCoordExpression.html#coords">coords</a></span> - Variable in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/ASTCoordExpression.html" title="class in fr.inria.alpage.frmgcm.dpp">ASTCoordExpression</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html#coords">coords</a></span> - Variable in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathCoord</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/Utils.html#copy(java.lang.String,%20java.lang.String)">copy(String, String)</a></span> - Static method in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/Utils.html" title="class in fr.inria.alpage.frmgcm.utils">Utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/Utils.html#copyFile(java.io.File,%20java.io.File)">copyFile(File, File)</a></span> - Static method in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/Utils.html" title="class in fr.inria.alpage.frmgcm.utils">Utils</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Corpus</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#Corpus()">Corpus()</a></span> - Constructor for class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/server/FRMGCMRequestHandler.html#corpus">corpus</a></span> - Variable in class fr.inria.alpage.frmgcm.server.<a href="../fr/inria/alpage/frmgcm/server/FRMGCMRequestHandler.html" title="class in fr.inria.alpage.frmgcm.server">FRMGCMRequestHandler</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/tools/Import.html#corpus">corpus</a></span> - Static variable in class fr.inria.alpage.frmgcm.tools.<a href="../fr/inria/alpage/frmgcm/tools/Import.html" title="class in fr.inria.alpage.frmgcm.tools">Import</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Corpus.OARSubParams</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/corpus/package-summary.html">fr.inria.alpage.frmgcm.corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html#Corpus.OARSubParams()">Corpus.OARSubParams()</a></span> - Constructor for class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.OARSubParams.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus.OARSubParams</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/services/CorpusService.html#corpusProcess(java.lang.String[],%20com.mongodb.BasicDBObject,%20fr.inria.alpage.frmgcm.corpus.Corpus)">corpusProcess(String[], BasicDBObject, Corpus)</a></span> - Method in class fr.inria.alpage.frmgcm.services.<a href="../fr/inria/alpage/frmgcm/services/CorpusService.html" title="class in fr.inria.alpage.frmgcm.services">CorpusService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/frmgcm/services/CorpusService.html" title="class in fr.inria.alpage.frmgcm.services"><span class="strong">CorpusService</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/services/package-summary.html">fr.inria.alpage.frmgcm.services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/services/CorpusService.html#CorpusService()">CorpusService()</a></span> - Constructor for class fr.inria.alpage.frmgcm.services.<a href="../fr/inria/alpage/frmgcm/services/CorpusService.html" title="class in fr.inria.alpage.frmgcm.services">CorpusService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/services/CorpusService.html#CorpusService(java.lang.String)">CorpusService(String)</a></span> - Constructor for class fr.inria.alpage.frmgcm.services.<a href="../fr/inria/alpage/frmgcm/services/CorpusService.html" title="class in fr.inria.alpage.frmgcm.services">CorpusService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/cpm/task/CPMCall.html" title="class in fr.inria.alpage.cpm.task"><span class="strong">CPMCall</span></a> - Class in <a href="../fr/inria/alpage/cpm/task/package-summary.html">fr.inria.alpage.cpm.task</a></dt>
<dd>
<div class="block">This class is used to call java method as a task unit</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMCall.html#CPMCall(java.lang.String,%20java.lang.String,%20java.lang.String,%20java.util.ArrayList)">CPMCall(String, String, String, ArrayList&lt;Object&gt;)</a></span> - Constructor for class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMCall.html" title="class in fr.inria.alpage.cpm.task">CPMCall</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMCall.html#CPMCall(java.lang.String,%20com.mongodb.BasicDBObject)">CPMCall(String, BasicDBObject)</a></span> - Constructor for class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMCall.html" title="class in fr.inria.alpage.cpm.task">CPMCall</a></dt>
<dd>
<div class="block">Constructor (passing definition as a jsonobject)</div>
</dd>
<dt><a href="../fr/inria/alpage/cpm/task/CPMCommand.html" title="class in fr.inria.alpage.cpm.task"><span class="strong">CPMCommand</span></a> - Class in <a href="../fr/inria/alpage/cpm/task/package-summary.html">fr.inria.alpage.cpm.task</a></dt>
<dd>
<div class="block">This class is used to execute bash command as a task unit</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMCommand.html#CPMCommand(java.lang.String,%20com.mongodb.BasicDBObject)">CPMCommand(String, BasicDBObject)</a></span> - Constructor for class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMCommand.html" title="class in fr.inria.alpage.cpm.task">CPMCommand</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/db/CPMDB.html" title="class in fr.inria.alpage.frmgcm.db"><span class="strong">CPMDB</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/db/package-summary.html">fr.inria.alpage.frmgcm.db</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/db/CPMDB.html#CPMDB()">CPMDB()</a></span> - Constructor for class fr.inria.alpage.frmgcm.db.<a href="../fr/inria/alpage/frmgcm/db/CPMDB.html" title="class in fr.inria.alpage.frmgcm.db">CPMDB</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../fr/inria/alpage/cpm/task/CPMTask.html" title="class in fr.inria.alpage.cpm.task"><span class="strong">CPMTask</span></a> - Class in <a href="../fr/inria/alpage/cpm/task/package-summary.html">fr.inria.alpage.cpm.task</a></dt>
<dd>
<div class="block">This class defines a list of subprocess <code>TaskUnit</code></div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMTask.html#CPMTask()">CPMTask()</a></span> - Constructor for class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMTask.html" title="class in fr.inria.alpage.cpm.task">CPMTask</a></dt>
<dd>
<div class="block">Constructor : create a new task</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMTask.html#CPMTask(java.lang.String)">CPMTask(String)</a></span> - Constructor for class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMTask.html" title="class in fr.inria.alpage.cpm.task">CPMTask</a></dt>
<dd>
<div class="block">Constructor : retrieve a task from an id</div>
</dd>
<dt><a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task"><span class="strong">CPMTaskUnit</span></a> - Class in <a href="../fr/inria/alpage/cpm/task/package-summary.html">fr.inria.alpage.cpm.task</a></dt>
<dd>
<div class="block">Abstract class used to define a task unit that will be process as part of a <code>fr.inria.alpage.cpm.task.Task</code></div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html#CPMTaskUnit(java.lang.String)">CPMTaskUnit(String)</a></span> - Constructor for class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a></dt>
<dd>
<div class="block">Abstract Constructor</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html#create(com.mongodb.BasicDBObject,%20org.bson.types.ObjectId,%20int)">create(BasicDBObject, ObjectId, int)</a></span> - Static method in class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a></dt>
<dd>
<div class="block">Task unit factory</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html#Create(fr.inria.alpage.frmgcm.gm.GraphRevision,%20java.lang.String)">Create(GraphRevision, String)</a></span> - Static method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus">AbstractGraph</a></dt>
<dd>
<div class="block">Factory</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#createAnnotatedVersion()">createAnnotatedVersion()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#createArchiveDestDir(java.io.File)">createArchiveDestDir(File)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#createConfiguration()">createConfiguration()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#CreateCorpus(com.mongodb.BasicDBObject)">CreateCorpus(BasicDBObject)</a></span> - Static method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#created">created</a></span> - Variable in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html#createGraph(com.mongodb.BasicDBObject)">createGraph(BasicDBObject)</a></span> - Static method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html" title="class in fr.inria.alpage.frmgcm.gm">GraphManager</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#CreateNew(java.lang.String,%20java.lang.String,%20java.lang.String)">CreateNew(String, String, String)</a></span> - Static method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html#CreateNew(java.lang.String,%20java.util.HashMap,%20com.mongodb.BasicDBObject)">CreateNew(String, HashMap&lt;String, Object&gt;, BasicDBObject)</a></span> - Static method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.DocumentRevision</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#CreateNew(com.mongodb.BasicDBObject)">CreateNew(BasicDBObject)</a></span> - Static method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#createNewGraph(com.mongodb.BasicDBObject)">createNewGraph(BasicDBObject)</a></span> - Static method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#createRevision(com.mongodb.BasicDBObject)">createRevision(BasicDBObject)</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#createSentenceInfo(java.lang.String,%20int)">createSentenceInfo(String, int)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#curChar">curChar</a></span> - Variable in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParserTokenManager</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#curLexState">curLexState</a></span> - Variable in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParserTokenManager</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearch.html#curPfFilters">curPfFilters</a></span> - Variable in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearch.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/ParseException.html#currentToken">currentToken</a></span> - Variable in exception fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp">ParseException</a></dt>
<dd>
<div class="block">This is the last token that has been consumed successfully.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
